shishi_ticket_server(3)

NAME
shishi_ticket_server - API function

SYNOPSIS
#include <shishi.h>

int shishi_ticket_server(Shishi * handle, Shishi_asn1 ticket, char ** server, size_t * serverlen);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

Shishi_asn1 ticket
    ASN.1 Ticket variable to get server name from.

char ** server
    pointer to newly allocated zero terminated string containing principal name. May be NULL (to only populate serverlen).

size_t * serverlen
    pointer to length of server on output, excluding terminating zero. May be NULL (to only populate server).

DESCRIPTION
Represent server principal name in Ticket as zero-terminated string. The string is allocate by this function, and it is the responsibility of the caller to deallocate it. Note that the output length serverlen does not include the terminating zero.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.